+1
Not a Bug

Cinemachine AOT stubs bug with nested types

elettrozero 2 years ago updated by Lazlo Bonin (Lead Developer) 2 years ago 6

After upgrading Cinemachine to 2.2.7 I receive a compile error. Do I have to do something or must Bolt receive an update?

Bolt Version:
Unity Version:
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):
Pending Review

Hi elettrozero, what error are you getting exactly?

Got the same issue, here is the error

Assets/Ludiq/Ludiq.Core/Generated/Property Providers/PropertyProvider_Cinemachine_CinemachineBrain_VcamEvent.cs(16,135): error CS0426: The nested type `VcamEvent' does not exist in the type `Cinemachine.CinemachineBrain'


Tryied again today to update Cinemachine and regenerate all Ludiq and Bolt things I could. If it's something that shuld be done in my side I'd be happy to fix the thing. In the meantime I'm stuck with a older version of Cinemachine.

I need to update Cinemachine. Any chances you guys got my problem?

Working on Fix

This seems like a bug with nested types in the AOT stubs generator. I'll look into it!

Not a Bug

Hey everyone!

So from what I'm understanding, this isn't a bug with Bolt, it's just that the Cinemachine code changed and Bolt isn't aware of that.

Using Tools > Ludiq > Generate Custom Inspectors should fix the error.